Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class SocketNodeHandleFactory

    java.lang.Object
      rice.pastry.socket.SocketNodeHandleFactory

All Implemented Interfaces:
  NodeHandleFactory

    public class SocketNodeHandleFactory

extends java.lang.Object
implements NodeHandleFactory

Constructor Summary
`SocketNodeHandleFactory(TLPastryNode pn)`

Method Summary
`NodeHandle` | `coalesce(NodeHandle h)` Needed for legacy java deserialization of NodeHanlde because we aren't given any other way to do this properly such as a protected constructor.
`SocketNodeHandle` | `getNodeHandle(MultiInetSocketAddress i, long epoch, Id id)` This is kind of weird, may need to rethink this.
`TransportLayerNodeHandle<MultiInetSocketAddress>` | `lookupNodeHandle(MultiInetSocketAddress i)`
`NodeHandle` | `readNodeHandle(InputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketNodeHandleFactory

    public SocketNodeHandleFactory(TLPastryNode pn)

Method Detail

### getNodeHandle

    public SocketNodeHandle getNodeHandle(MultiInetSocketAddress i,
                                          long epoch,
                                          Id id)

  This is kind of weird, may need to rethink this.

  Parameters:
    `i` -
    `id` -
  Returns:

### readNodeHandle

    public NodeHandle readNodeHandle(InputBuffer buf)
                              throws java.io.IOException

  Specified by:
    `readNodeHandle` in interface `NodeHandleFactory`
  Throws:
    `java.io.IOException`

### coalesce

    public NodeHandle coalesce(NodeHandle h)

  Description copied from interface: `NodeHandleFactory`
  Needed for legacy java deserialization of NodeHanlde because we aren't given any other way to do this properly such as a protected constructor.

  Specified by:
    `coalesce` in interface `NodeHandleFactory`
  Returns:

### lookupNodeHandle

    public TransportLayerNodeHandle<MultiInetSocketAddress> lookupNodeHandle(MultiInetSocketAddress i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.